List referenced users
curl --request GET \
--url {schemes}://api.upsun.com/ref/users \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/ref/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/ref/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"497f6eca-6276-4993-bfeb-53cbbbba6f08": {
"email": "user@example.com",
"first_name": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"last_name": "string",
"picture": "https://accounts.platform.sh/profiles/blimp_profile/themes/platformsh_theme/images/mail/logo.png",
"username": "string",
"mfa_enabled": false,
"sso_enabled": false
}
}{
"error": "<string>"
}References
List referenced users
Retrieves a list of users referenced by a trusted service. Clients cannot construct the URL themselves. The correct URL will be provided in the HAL links of another API response, in the _links object with a key like ref:users:0.
GET
/
ref
/
users
List referenced users
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The list of comma-separated user IDs generated by a trusted service.
The signature of this request generated by a trusted service.
Response
OK
A map of referenced users indexed by the user ID.
The referenced user, or null if it no longer exists.
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?